/************************************************************************
* Mechanical Devices													*
*																		*
* MDInterface.h															*
*																		*
* The following file contains the interface to the Flex TC device.		*
*																		*
* The following functions are implemented:								*
*	ReadMI - Connects to the device and reads MI value from it.			*
*	WriteMI - Connects to the device and writes MI value to it.			*
*	ReadMB - Connects to the device and reads MB state value from it.	*
*	WriteMB - Connects to the device and writes MB state value to it.	*
*																		*
************************************************************************/

/* Default device IP. */
#define DEFAULT_DEVICE_IP		"10.100.102.117"

/* Default device port. */
#define DEFAULT_DEVICE_PORT		20256

/* MB states values. */
#define MB_STATE_OFF	0
#define MB_STATE_ON		1


/* Reads MI value from the given device. */
__declspec(dllexport) int ReadMI(unsigned int rMINumber, char* rIPAddress, unsigned int rPortNumber);

/* Writes MI value to the given device. */
__declspec(dllexport) void WriteMI(unsigned int rMINumber, int rMIValue, char* rIPAddress, unsigned int rPortNumber);

/* Reads MB state from the given device. */
__declspec(dllexport) int ReadMB(unsigned int rMINumber, char* rIPAddress, unsigned int rPortNumber);

/* Writes MB state to the given device. */
__declspec(dllexport) void WriteMB(unsigned int rMINumber, int rMIValue, char* rIPAddress, unsigned int rPortNumber);
